/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Aug-08-2011 09:29:13pm
Filepath: scripts\Items\artifacts\Artifacts of Assimilation\lessers\BrickOfTheMagi.cs
Lines of code: 35

Description: 

***********************************************************/




//******************************************************************
//NOTE:  This artifact has been converted over to SorcerersLexicon
//******************************************************************


using System;
using Server;

namespace Server.Items
{
	public class BrickOfTheMagi : Spellbook
	{

		[Constructable]
		public BrickOfTheMagi() : base()
		{
			Name = "Brick Of The Magi";
			Hue = 861;
			Attributes.RegenMana = 2;
			Attributes.BonusHits = 5;
			Attributes.CastRecovery = 3;
			Attributes.CastSpeed = 1;
		}	

		public BrickOfTheMagi( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int)0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
		
		public override void OnAfterLoad()
		{
			Misc.ObjectConverter.ConvertItem(this,new MagesLexicon());
		}			
	}
}